Loading...
Searching...
No Matches
translation.hpp File Reference

Provides functions for translating a triplet of nucleotides into an amino acid. More...

`#include <tuple>`
`#include <seqan3/alphabet/aminoacid/aa27.hpp>`
`#include <seqan3/alphabet/aminoacid/translation_details.hpp>`
`#include <seqan3/alphabet/aminoacid/translation_genetic_code.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
Include dependency graph for translation.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<genetic_code gc = genetic_code::canonical, nucleotide_alphabet nucl_type>
constexpr aa27 | seqan3::translate_triplet (nucl_type const &n1, nucl_type const &n2, nucl_type const &n3) noexcept
| Translate one nucleotide triplet into single amino acid (single nucleotide interface).

## Detailed Description

Provides functions for translating a triplet of nucleotides into an amino acid.

Author
  Sara Hetzel <sara.hetzel AT fu-berlin.de>

Hide me